Postfix stable release 3.2.5, and legacy releases 3.1.8, 3.0.12, 2.11.11

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Postfix stable release 3.2.5, and legacy releases 3.1.8, 3.0.12, 2.11.11

Wietse Venema
[An on-line version of this announcement will be available at
http://www.postfix.org/announcements/postfix-3.2.5.html]

This announcement concerns fixes for problems that were introduced
with Postfix 2.1 and later, and updates the Postfix 3.2 license.

License update: starting with Postfix 3.2.5, Postfix 3.2 is distributed
with a dual license: in addition to the historical IBM Public License
1.0, it is now also distributed with the more recent Eclipse Public
License 2.0. Recipients can choose to take the software under the
license of their choice. Those who are more comfortable with the
IPL can continue with that license.

Fixed in Postfix 3.2:

  * DANE interoperability. Postfix builds with OpenSSL 1.0.0 or
    1.0.1 failed to send email to some sites with "TLSA 2 X X" DNS
    records associated with an intermediate CA certificate. Problem
    report and initial fix by Erwan Legrand.

Fixed in Postfix 3.1 and later:

  * Workaround: do not terminate with a panic when some res_query(3)
    system library function returns -1 with h_errno==0. Instead,
    the Postfix DNS client now logs a warning and sets h_errno to
    TRY_AGAIN.

Fixed in Postfix 2.11 and later:

  * The DB_CONFIG workaround broke Berkeley DB configurations that
    specify the database location with a relative pathname.

  * Don't log warnings that some SMTPD restriction returns OK, when
    the access map DISCARD feature is in effect.

  * Fixes for broken HTML by Sven Neuhaus.

  * Adds a mailbox seek-to-end error check that was missing in the
    local(8) delivery agent. The error would be reported later.

  * Corrected wording of the mailbox seek-to-end error message in
    the virtual(8) delivery agent.

You can find the updated Postfix source code at the mirrors listed
at http://www.postfix.org/.

        Wietse
Reply | Threaded
Open this post in threaded view
|

Re: Postfix stable release 3.2.5, and legacy releases 3.1.8, 3.0.12, 2.11.11

Viktor Dukhovni


> On Jan 28, 2018, at 10:52 AM, Wietse Venema <[hidden email]> wrote:
>
> This announcement concerns fixes for problems that were introduced
> with Postfix 2.1 and later, and updates the Postfix 3.2 license.
>
> License update: starting with Postfix 3.2.5, Postfix 3.2 is distributed
> with a dual license: in addition to the historical IBM Public License
> 1.0, it is now also distributed with the more recent Eclipse Public
> License 2.0. Recipients can choose to take the software under the
> license of their choice. Those who are more comfortable with the
> IPL can continue with that license.

Thanks.

> Fixed in Postfix 3.2:
>
>  * DANE interoperability. Postfix builds with OpenSSL 1.0.0 or
>    1.0.1 failed to send email to some sites with "TLSA 2 X X" DNS
>    records associated with an intermediate CA certificate. Problem
>    report and initial fix by Erwan Legrand.

For the record, it looks to me like this was already resolved in 3.2.4:

   https://github.com/vdukhovni/postfix/commit/e4f7cc48712e22175fcd1a829e9ef96de538fdcb

--
        Viktor.

Reply | Threaded
Open this post in threaded view
|

Re: Postfix stable release 3.2.5, and legacy releases 3.1.8, 3.0.12, 2.11.11

Wietse Venema
Viktor Dukhovni:

>
>
> > On Jan 28, 2018, at 10:52 AM, Wietse Venema <[hidden email]> wrote:
> >
> > This announcement concerns fixes for problems that were introduced
> > with Postfix 2.1 and later, and updates the Postfix 3.2 license.
> >
> > License update: starting with Postfix 3.2.5, Postfix 3.2 is distributed
> > with a dual license: in addition to the historical IBM Public License
> > 1.0, it is now also distributed with the more recent Eclipse Public
> > License 2.0. Recipients can choose to take the software under the
> > license of their choice. Those who are more comfortable with the
> > IPL can continue with that license.
>
> Thanks.
>
> > Fixed in Postfix 3.2:
> >
> >  * DANE interoperability. Postfix builds with OpenSSL 1.0.0 or
> >    1.0.1 failed to send email to some sites with "TLSA 2 X X" DNS
> >    records associated with an intermediate CA certificate. Problem
> >    report and initial fix by Erwan Legrand.
>
> For the record, it looks to me like this was already resolved in 3.2.4:
>
>    https://github.com/vdukhovni/postfix/commit/e4f7cc48712e22175fcd1a829e9ef96de538fdcb

Yeah, it seems to be a copy/paste error. I'll update the website.

        Wietse